{% block sw_advanced_selection_customer %}
<sw-entity-advanced-selection-modal
    entity-name="customer"
    :entity-display-text="$tc('swag-guided-shopping-appointment.admin.fields.customers')"
    store-key="advancedSelection.customer"
    :entity-context="customerContext"
    :entity-columns="customerColumns"
    :entity-filters="customerFilters"
    :entity-associations="customerAssociations"
    empty-image-path="/administration/static/img/empty-states/customer-empty-state.svg"
    v-bind="$attrs"
    @selection-submit="$emit('selection-submit', $event)"
    @modal-close="$emit('modal-close', $event)"
>
    {% block sw_customer_list_grid_columns_name_preview %}
    <template #preview-firstName="{ item, compact }">
        <sw-avatar
            :size="compact ? '32px' : '48px'"
            :source-context="item"
            :first-name="item.firstName"
            :last-name="item.lastName"
        />
    </template>
    {% endblock %}

    {% block sw_customer_list_grid_columns_name %}
    <template #column-firstName="{ item, compact, isInlineEdit }">

        {% block sw_customer_list_grid_inline_edit_name %}
        <template v-if="isInlineEdit">
            {% block sw_customer_list_grid_inline_edit_first_name %}
            <sw-text-field
                v-model:value="item.firstName"
                class="sw-customer-list__inline-edit-first-name"
                :size="compact ? 'small' : 'default'"
            />
            {% endblock %}

            {% block sw_customer_list_grid_inline_edit_last_name %}
            <sw-text-field
                v-model:value="item.lastName"
                class="sw-customer-list__inline-edit-last-name"
                :size="compact ? 'small' : 'default'"
            />
            {% endblock %}
        </template>
        {% endblock %}

        {% block sw_customer_list_grid_columns_name_link %}
        <router-link
            v-else
            :to="{ name: 'sw.customer.detail', params: { id: item.id }, query: { edit: false } }"
        >
            {{ item.lastName }}, {{ item.firstName }}
        </router-link>
        {% endblock %}

        {% block sw_customer_list_grid_columns_name_guest_label %}
        <sw-label
            v-if="!isInlineEdit && item.guest"
            appearance="pill"
            size="small"
            class="sw-customer-list__metadata-customer-guest-label"
        >
            {{ $tc('sw-customer.list.columnNameGuestLabel') }}
        </sw-label>
        {% endblock %}

        <sw-label
            v-if="item.createdById"
            appearance="pill"
            size="small"
            class="sw-customer-list__created-by-admin-label"
        >
            {{ $tc('sw-customer.list.labelCreatedByAdmin') }}
        </sw-label>
    </template>
    {% endblock %}

    {% block sw_customer_list_grid_columns_group %}
    <template #column-group="{ item, compact, isInlineEdit }">
        <sw-label
            v-if="item.requestedGroup"
            class="sw-customer-list__requested-group-label"
            variant="warning"
            appearance="pill"
        >
            {{ $tc('sw-customer.list.columnGroupRequested') }} {{ item.requestedGroup.translated.name }}
        </sw-label>
        <sw-label
            v-else
            size="default"
            appearance="pill"
        >
            {{ item.group.translated.name }}
        </sw-label>
    </template>
    {% endblock %}

    {% block sw_customer_list_grid_columns_boundSalesChannel %}
    <template #column-boundSalesChannelId="{ item }">
        {{ item.boundSalesChannelId ? item.salesChannel.translated.name : $tc('sw-customer.list.emptyBoundSalesChannel') }}
    </template>
    {% endblock %}

    {% block sw_customer_list_grid_columns_active %}
    <template #column-active="{ item, isInlineEdit }">
        {% block sw_customer_list_grid_columns_active_inline_edit %}
        <template v-if="isInlineEdit">
            <sw-checkbox-field v-model="item.active" />
        </template>
        {% endblock %}

        {% block sw_customer_list_grid_columns_active_content %}
        <template v-else>
            <sw-icon
                v-if="item.active"
                name="regular-checkmark-xs"
                small
                class="is--active"
            />
            <sw-icon
                v-else
                name="regular-times-s"
                small
                class="is--inactive"
            />
        </template>
        {% endblock %}
    </template>
    {% endblock %}
</sw-entity-advanced-selection-modal>
{% endblock %}
